
PYROS - Evolution #6679
Evolution # 6717 (Nouveau): ============== (( PYROS SOFTWARE )) ==============
Evolution # 6675 (Nouveau): ======= ((F)) MODULE - GENERAL PROJECT =======
Evolution # 6713 (Nouveau): ----- ((F)) FUNCTION - CI&CD (Contin. Integr, Test & Deploy) -----

((T)) install.py : Installation script (refactorisation et simplification)
02/05/2019 08:54 pm - Etienne Pallier

Status: Nouveau Start date: 03/05/2019
Priority: Haut Due date:
Assignee: Etienne Pallier % Done: 86%
Category: Estimated time: 58.00 hours
Target version: Version 0.20 - Restructuring with agents (no more celery)Spent time: 111.00 hours
Description

Subtasks:
Anomalie # 6790: Bug Mysql ancien Nouveau
Evolution # 6791: Quelques améliorations Nouveau
Evolution # 6797: Refactorisation et simplification Nouveau
Related issues:
Copied to Evolution # 6793: ((T)) pyros.py : General launch script (install, ... Nouveau 03/05/2019

History
#1 - 02/06/2019 09:30 am - Etienne Pallier
- Parent task changed from #6678 to #6713

#2 - 02/06/2019 09:32 am - Etienne Pallier
- Subject changed from ((T)) Script install.py refactorisation et simplification to ((T)) Installation script (install.py) : refactorisation et simplification

#3 - 02/06/2019 08:17 pm - Etienne Pallier

(EP 5/2/19) ./install.py update : remettre en place
OLD => C’était utilisé dans install_old.py (JB) : update faisait seulement “pyros.py init_database”, ce qui faisait : 
Update DB : makemigrations + migrate
loaddata() : chargement de la fixture initiale src/misc/fixtures/initial_fixture.json
NEW => il faudrait refaire ça (maybe sans le loaddata() ? mais c’est peut-être utile à garder...)
Update DOC : une section UPDATE qui dit : pour se mettre à jour, faire :
1) git pull
2) pyros2 update (qui appellera “install.py update” qui appellera init_database)

#4 - 02/06/2019 08:18 pm - Etienne Pallier
- Description updated
- % Done changed from 70 to 60

#5 - 02/06/2019 08:18 pm - Etienne Pallier
- Description updated

#6 - 02/06/2019 08:21 pm - Etienne Pallier
- Description updated

#7 - 02/06/2019 08:28 pm - Etienne Pallier
- Description updated
#8 - 02/06/2019 08:54 pm - Etienne Pallier
- Description updated

#9 - 02/06/2019 08:55 pm - Etienne Pallier
- Description updated

#10 - 02/06/2019 08:57 pm - Etienne Pallier
- Description updated

#11 - 02/06/2019 08:59 pm - Etienne Pallier
- Description updated

#12 - 02/28/2019 08:51 am - Etienne Pallier
- % Done changed from 60 to 70

#13 - 03/05/2019 03:13 pm - Etienne Pallier
- % Done changed from 70 to 80

#14 - 03/05/2019 03:17 pm - Etienne Pallier
- Description updated

#15 - 03/06/2019 10:05 am - Etienne Pallier
- Subject changed from ((T)) Installation script (install.py) : refactorisation et simplification to ((T)) install.py : Installation script (refactorisation et 
simplification)
